# Convert a polygonGate to a data.table useful for ggplot

Source: `R/fortify.R`
`fortify.polygonGate.Rd`

It converts the boundaries slot into a data.table

    # S3 method for polygonGate
    fortify(model, data = NULL, nPoints = NULL, ...)

## Arguments

model | polygonGate
data | data range used to reset off-bound gate coordinates to prevent interpolating on the extremely large space unnecessarily.
nPoints | not used
... | not used.

## Value

data.table

## Examples

    sqrcut <- matrix(c(300,300,600,600,50,300,300,50),ncol=2,nrow=4)
    colnames(sqrcut) <- c("FSC-H","SSC-H")
    pg <- polygonGate(filterId="nonDebris", .gate= sqrcut)
    fortify(pg)#>    FSC-H SSC-H
    #> 1:   300    50
    #> 2:   300   300
    #> 3:   600   300
    #> 4:   600    50
    #> 5:   300    50